<?php
/**
 * Set the content width based on the theme's design and stylesheet.
 */
 
//Content width 
if ( ! isset( $content_width ) ) {
	$content_width = 900;
}



//Js scripts
function pvs_theme_js_scripts() {
	if ( is_singular() ) {
		wp_enqueue_script( 'comment-reply' );
	}
}
add_action( 'wp_enqueue_scripts', 'pvs_theme_js_scripts' );


//The theme supports:
add_theme_support( 'menus' );
add_theme_support( 'automatic-feed-links' );
add_theme_support( 'title-tag' );
add_theme_support( 'post-thumbnails' );
add_theme_support( 'html5', array(
		'search-form', 'comment-form', 'comment-list', 'gallery', 'caption'
	) );
add_theme_support( 'post-formats', array(
		'aside'
	) );


//Disable top admin panel
add_filter('show_admin_bar', '__return_false');


//Widgets
function pvs_widgets(){
	register_sidebar( array(
		'name'          => __( 'Footer area 1', 'pvs-timewatch' ),
		'id'            => 'sidebar-footer-area-1',
		'description'   => '',
		'before_widget' => '',
		'after_widget'  => '',
		'before_title'  => '<h5 class="footer-title">',
		'after_title'   => '</h5>',
	) );
	register_sidebar( array(
		'name'          => __( 'Footer area 2', 'pvs-timewatch' ),
		'id'            => 'sidebar-footer-area-2',
		'description'   => '',
		'before_widget' => '',
		'after_widget'  => '',
		'before_title'  => '<h5 class="footer-title">',
		'after_title'   => '</h5>',
	) );
	register_sidebar( array(
		'name'          => __( 'Footer area 3', 'pvs-timewatch' ),
		'id'            => 'sidebar-footer-area-3',
		'description'   => '',
		'before_widget' => '',
		'after_widget'  => '',
		'before_title'  => '<h5 class="footer-title">',
		'after_title'   => '</h5>',
	) );
	register_sidebar( array(
		'name'          => __( 'Footer area 4', 'pvs-timewatch' ),
		'id'            => 'sidebar-footer-area-4',
		'description'   => '',
		'before_widget' => '',
		'after_widget'  => '',
		'before_title'  => '<h5 class="footer-title">',
		'after_title'   => '</h5>',
	) );
}
add_action( 'widgets_init', 'pvs_widgets' );
//End. Widgets

//Menu
register_nav_menus( array(
//	'timewatchleftmenu' => __( 'timewatch Left Menu', 'pvs-timewatch' ),
//	'timewatchbottommenu' => __( 'timewatch Bottom Menu', 'pvs-timewatch' )
) );

function pvs_timewatch_menu() {
	get_template_part('menu');
}




//Theme header/footer for internal pages
$pvs_theme_header = '<div class="container second_page">' ;
$pvs_theme_footer = '</div>';




//Customize
function pvs_timewatch_customize($wp_customize) {

	//Logo
    $wp_customize->add_section(
        'pvs_timewatch_logo',
        array(
            'title' => 'Logo',
            'description' => '',
            'priority' => 1,
        )
    );
    
     $wp_customize->add_setting( 
    	'logo_upload', 
    	array(
			'default' => get_template_directory_uri() . '/assets/image/logo.png',
			'sanitize_callback' => 'pvs_timewatch_sanitize_text'
		)
    );
 
	$wp_customize->add_control(
		new WP_Customize_Image_Control(
			$wp_customize,
			'logo_upload',
			array(
				'label' => 'Logo Upload',
				'section' => 'pvs_timewatch_logo',
				'settings' => 'logo_upload'
			)
		)
	);

	//End. Logo
	
	//Slideshow
	$wp_customize->add_section(
        'pvs_timewatch_slideshow',
        array(
            'title' => 'Homepage Slideshow',
            'description' => '',
            'priority' => 2,
        )
    );
    
    $wp_customize->add_setting(
		'hide_slideshow'
	);
	
	$wp_customize->add_control(
		'hide_slideshow',
		array(
			'label' => 'Hide Slideshow',
			'section' => 'pvs_timewatch_slideshow',
			'type' => 'checkbox',
		)
	);
    
    //Slide 1
    $wp_customize->add_setting( 
    	'slider1_upload', 
    	array(
			'default' => get_template_directory_uri() . '/assets/image/slide1.jpg',
			'sanitize_callback' => 'pvs_timewatch_sanitize_text'
		)
    );
 
	$wp_customize->add_control(
		new WP_Customize_Image_Control(
			$wp_customize,
			'slider1_upload',
			array(
				'label' => 'Slide 1 Upload',
				'section' => 'pvs_timewatch_slideshow',
				'settings' => 'slider1_upload'
			)
		)
	);

	$wp_customize->add_setting(
		'slider1_link',
		array(
			'default' => '#',
			'sanitize_callback' => 'pvs_timewatch_sanitize_text'
		)
	);
	
	$wp_customize->add_control(
		'slider1_link',
		array(
			'label' => 'Slide 1 link',
			'section' => 'pvs_timewatch_slideshow',
			'type' => 'text',
		)
	);    

	//End. Slide 1
	
	//Slide 2
	$wp_customize->add_setting( 
    	'slider2_upload', 
    	array(
			'default' => get_template_directory_uri() . '/assets/image/slide2.jpg',
			'sanitize_callback' => 'pvs_timewatch_sanitize_text'
		)
    );
 
	$wp_customize->add_control(
		new WP_Customize_Image_Control(
			$wp_customize,
			'slider2_upload',
			array(
				'label' => 'Slide 2 Upload',
				'section' => 'pvs_timewatch_slideshow',
				'settings' => 'slider2_upload'
			)
		)
	);

	$wp_customize->add_setting(
		'slider2_link',
		array(
			'default' => '#',
			'sanitize_callback' => 'pvs_timewatch_sanitize_text'
		)
	);
	
	$wp_customize->add_control(
		'slider2_link',
		array(
			'label' => 'Slide 2 link',
			'section' => 'pvs_timewatch_slideshow',
			'type' => 'text',
		)
	);   
	//End. Slide 2
	

	//End. Slideshow
	
	
	
	//Banners
	$wp_customize->add_section(
        'pvs_timewatch_banners',
        array(
            'title' => 'Homepage Banners',
            'description' => '',
            'priority' => 3,
        )
    );
    
    $wp_customize->add_setting(
		'hide_banners'
	);
	
	$wp_customize->add_control(
		'hide_banners',
		array(
			'label' => 'Hide banners',
			'section' => 'pvs_timewatch_banners',
			'type' => 'checkbox',
		)
	);
    
    $wp_customize->add_setting( 
    	'banner1_upload', 
    	array(
			'default' => get_template_directory_uri() . '/assets/image/banners/subbanner1.jpg',
			'sanitize_callback' => 'pvs_timewatch_sanitize_text'
		)
    );
 
	$wp_customize->add_control(
		new WP_Customize_Image_Control(
			$wp_customize,
			'banner1_upload',
			array(
				'label' => 'Banner 1',
				'section' => 'pvs_timewatch_banners',
				'settings' => 'banner1_upload'
			)
		)
	);
	
	$wp_customize->add_setting(
		'banner1_url',
		array(
			'default' => "#",
			'sanitize_callback' => 'pvs_timewatch_sanitize_text'
		)
	);
	
	$wp_customize->add_control(
		'banner1_url',
		array(
			'label' => 'Banner 1 URL',
			'section' => 'pvs_timewatch_banners',
			'type' => 'text',
		)
	);

	
	$wp_customize->add_setting( 
    	'banner2_upload', 
    	array(
			'default' => get_template_directory_uri() . '/assets/image/banners/subbanner2.jpg',
			'sanitize_callback' => 'pvs_timewatch_sanitize_text'
		)
    );
 
	$wp_customize->add_control(
		new WP_Customize_Image_Control(
			$wp_customize,
			'banner2_upload',
			array(
				'label' => 'Banner 2',
				'section' => 'pvs_timewatch_banners',
				'settings' => 'banner2_upload'
			)
		)
	);
	
	$wp_customize->add_setting(
		'banner2_url',
		array(
			'default' => "#",
			'sanitize_callback' => 'pvs_timewatch_sanitize_text'
		)
	);
	
	$wp_customize->add_control(
		'banner2_url',
		array(
			'label' => 'Banner 2 URL',
			'section' => 'pvs_timewatch_banners',
			'type' => 'text',
		)
	);
	

	
	$wp_customize->add_setting( 
    	'banner3_upload', 
    	array(
			'default' => get_template_directory_uri() . '/assets/image/banners/subbanner3.jpg',
			'sanitize_callback' => 'pvs_timewatch_sanitize_text'
		)
    );
 
	$wp_customize->add_control(
		new WP_Customize_Image_Control(
			$wp_customize,
			'banner3_upload',
			array(
				'label' => 'Banner 3',
				'section' => 'pvs_timewatch_banners',
				'settings' => 'banner3_upload'
			)
		)
	);
	
	
	$wp_customize->add_setting(
		'banner3_url',
		array(
			'default' => "#",
			'sanitize_callback' => 'pvs_timewatch_sanitize_text'
		)
	);
	
	$wp_customize->add_control(
		'banner3_url',
		array(
			'label' => 'Banner 3 URL',
			'section' => 'pvs_timewatch_banners',
			'type' => 'text',
		)
	);
	

	//End. Banners
	
	
	
	//Shock images
	$wp_customize->add_section(
        'pvs_timewatch_stock_images',
        array(
            'title' => 'Stock Photos',
            'description' => '',
            'priority' => 4,
        )
    );
    
    $wp_customize->add_setting(
		'hide_stock_images'
	);
	
	$wp_customize->add_control(
		'hide_stock_images',
		array(
			'label' => 'Hide stock images',
			'section' => 'pvs_timewatch_stock_images',
			'type' => 'checkbox',
		)
	);
	
	//End. Stock images
	

	
	//Testimonials
	$wp_customize->add_section(
        'pvs_timewatch_testimonials',
        array(
            'title' => 'Testimonials',
            'description' => '',
            'priority' => 5,
        )
    );
    
    $wp_customize->add_setting(
		'hide_testimonials'
	);
	
	$wp_customize->add_control(
		'hide_testimonials',
		array(
			'label' => 'Hide testimonials',
			'section' => 'pvs_timewatch_testimonials',
			'type' => 'checkbox',
		)
	);
	

	//End. Testimonials	

	
	
	//Featured images
	$wp_customize->add_section(
        'pvs_timewatch_featured_images',
        array(
            'title' => 'Homepage Featured images',
            'description' => '',
            'priority' => 6,
        )
    );
    
    $wp_customize->add_setting(
		'hide_featured_images'
	);
	
	$wp_customize->add_control(
		'hide_featured_images',
		array(
			'label' => 'Hide featured Images',
			'section' => 'pvs_timewatch_featured_images',
			'type' => 'checkbox',
		)
	);
	
	$wp_customize->add_setting(
		'featured_images_title',
		array(
			'default' => 'Featured images',
			'sanitize_callback' => 'pvs_timewatch_sanitize_text'
		)
	);
	
	$wp_customize->add_control(
		'featured_images_title',
		array(
			'label' => 'Title',
			'section' => 'pvs_timewatch_featured_images',
			'type' => 'text',
		)
	);

	
	//End. Featured images
	
	

	//Bottom Banner
	$wp_customize->add_section(
        'pvs_timewatch_bottom_banner',
        array(
            'title' => 'Homepage bottom banner',
            'description' => '',
            'priority' => 7,
        )
    );
    
    $wp_customize->add_setting(
		'hide_bottom_banner'
	);
	
	$wp_customize->add_control(
		'hide_bottom_banner',
		array(
			'label' => 'Hide bottom banner',
			'section' => 'pvs_timewatch_bottom_banner',
			'type' => 'checkbox',
		)
	);
    
    $wp_customize->add_setting( 
    	'banner_upload', 
    	array(
			'default' => get_template_directory_uri() . '/assets/image/banners/subbanner4.jpg',
			'sanitize_callback' => 'pvs_timewatch_sanitize_text'
		)
    );
 
	$wp_customize->add_control(
		new WP_Customize_Image_Control(
			$wp_customize,
			'banner_upload',
			array(
				'label' => 'Banner',
				'section' => 'pvs_timewatch_bottom_banner',
				'settings' => 'banner_upload'
			)
		)
	);
	
	$wp_customize->add_setting(
		'banner_url',
		array(
			'default' => "#",
			'sanitize_callback' => 'pvs_timewatch_sanitize_text'
		)
	);
	
	$wp_customize->add_control(
		'banner_url',
		array(
			'label' => 'Banner URL',
			'section' => 'pvs_timewatch_bottom_banner',
			'type' => 'text',
		)
	);
	//End. Bottom Banner

	
	
	//Footer
    $wp_customize->add_section(
        'pvs_timewatch_footer',
        array(
            'title' => 'Footer',
            'description' => '',
            'priority' => 7,
        )
    );

	
	$wp_customize->add_setting(
		'footer_copyright_year',
		array(
			'default' => '2017',
			'sanitize_callback' => 'pvs_timewatch_sanitize_text'
		)
	);
	
	$wp_customize->add_control(
		'footer_copyright_year',
		array(
			'label' => 'Year',
			'section' => 'pvs_timewatch_footer',
			'type' => 'text',
		)
	);
	
	$wp_customize->add_setting(
		'footer_copyright_text',
		array(
			'default' => 'lionode',
			'sanitize_callback' => 'pvs_timewatch_sanitize_text'
		)
	);
	
	$wp_customize->add_control(
		'footer_copyright_text',
		array(
			'label' => 'Copyright text',
			'section' => 'pvs_timewatch_footer',
			'type' => 'text',
		)
	);
	
	$wp_customize->add_setting(
		'footer_copyright_link',
		array(
			'default' => 'http://www.lionode.com/',
			'sanitize_callback' => 'pvs_timewatch_sanitize_text'
		)
	);
	
	$wp_customize->add_control(
		'footer_copyright_link',
		array(
			'label' => 'Copyright Link',
			'section' => 'pvs_timewatch_footer',
			'type' => 'text',
		)
	);
	//End. Footer
}

add_action('customize_register', 'pvs_timewatch_customize' );

function pvs_timewatch_sanitize_text( $input ) {
    return wp_kses_post( force_balance_tags( $input ) );
}
//End. Customize
 
//PVS content
if ( function_exists ( 'pvs_content' ) ) {
	pvs_content();
	
	//Remove unnecessary js scripts and css
	add_action( 'wp_print_scripts', 'pvs_remove_scripts');
	add_action( 'wp_print_styles', 'pvs_remove_styles');

	function pvs_remove_scripts() {
		wp_dequeue_script( 'jquery' );
		wp_deregister_script( 'jquery' );
		
		wp_dequeue_script( 'pvs_jquery' );
		wp_deregister_script( 'pvs_jquery' );
		
		wp_dequeue_script( 'pvs_jqueryui' );
		wp_deregister_script( 'pvs_jqueryui' );
		
		wp_dequeue_script( 'bootstrap' );
		wp_deregister_script( 'bootstrap' );
		
		wp_dequeue_script( 'pvs_jshttprequest' );
		wp_deregister_script( 'pvs_jshttprequest' );
		
		wp_dequeue_script( 'pvs_custom_js' );
		wp_deregister_script( 'pvs_custom_js' );
	}
		
	function pvs_remove_styles() {
		wp_dequeue_style( 'pvs_css' );
		wp_deregister_style( 'pvs_css' );
		
		wp_dequeue_style( 'bootstrap_style' );
		wp_deregister_style( 'bootstrap_style' );
	}

	//Menu timewatch
	function pvs_build_menu_categories_timewatch($t_id) {
		global $db;
		global $dr;
		$dp = new TMySQLQuery;
		$dp->connection = $db;
		global $itg;
		global $nlimit;
		
		$nn  = 0;
		
		$sql = "select id, id_parent, title, priority, published, url from " . PVS_DB_PREFIX . "category where id_parent=" . $t_id . " and published=1 and activation_date < " . pvs_get_time() . " and (expiration_date > " . pvs_get_time() . " or expiration_date = 0) order by priority, title";
		$dp->open($sql);
		if (!$dp->eof) {
			while (!$dp->eof) {
				$title = pvs_category_url($dp->row["id"], $dp->row["url"]);
				
				$zp  = false;
				
				$sql = "select id, id_parent, title, priority, published, url from " . PVS_DB_PREFIX . "category where id_parent=" . $dp->row["id"] . " and published=1 and activation_date < " . pvs_get_time() . " and (expiration_date > " . pvs_get_time() . " or expiration_date = 0) order by priority, title";
				$dr->open($sql);
				if (!$dr->eof) {
				$zp = true;
				}
				
				if ($nlimit < 10000) {
					$translate_results = pvs_translate_category($dp->row["id"], $dp->row["title"], "", "");
					
					$ttl = addslashes($translate_results["title"]);
					
					if ($nn == 0) {
						$itg .= "<ul  class='sub-menu'>\n";
					}
					
					$class_dropdown  = "";
					
					if ($zp) {
						$class_dropdown = ' class="menu-item menu-item-has-children"';
					}
					
					$itg .= "<li " . $class_dropdown . "><a href=\"" . pvs_category_url($dp->row["id"], $dp->row["url"]) . "\" title=\"" . $ttl . "\">" . $ttl . "</a>\n";
					
					if (!$zp) {
						$itg .= "</li>";
					}
					pvs_build_menu_categories_timewatch($dp->row["id"]);
					if ($zp) {
						$itg .= "</li>";
					}
				}
				$nlimit++;
				$nn++;
				$dp->movenext();
			}
			$itg .= "</ul>\n";
		}
	}
	
	$itg="";
	$nlimit=0;
	pvs_build_menu_categories_timewatch(0);
	$pvs_theme_content[ 'box_categories' ] = $itg;
}


?>